
/***********************************************************************************************************************************
 *** INCLUDES
 **********************************************************************************************************************************/
#include"PR_lcd.h"
#include"DR_lcd.h"


/***********************************************************************************************************************************
 *** DEFINES PRIVADOS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** MACROS PRIVADAS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** TIPOS DE DATOS PRIVADOS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** TABLAS PRIVADAS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** VARIABLES GLOBALES PUBLICAS
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** VARIABLES GLOBALES PRIVADAS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** PROTOTIPO DE FUNCIONES PRIVADAS AL MODULO
 **********************************************************************************************************************************/

 /***********************************************************************************************************************************
 *** FUNCIONES PRIVADAS AL MODULO
 **********************************************************************************************************************************/

 /***********************************************************************************************************************************
 *** FUNCIONES GLOBALES AL MODULO
 **********************************************************************************************************************************/

/**
	@fn  		void LCD_Display( const char *string , uint8_t line , uint8_t pos )
	@brief 		Muestra una srting en un LCD de 2 x 16
 	@author 	Ing. Marcelo Trujillo
 	@date 		25/10/17
 	@param [in]	sring: direcion de comienzo de la string
 	@param [in] line: numero de renglon del Display
		<ul>
			<li> Parametros de line
			<ol>
			<li> DSP0: renglon superior
			<li> DSP1: renglon inferior
			</ol>
		</ul>
 	@param [in] pos: posicion relativa dentro del renglon
	@return void
*/
void LCD_Display( const char *string , uint8_t line , uint8_t pos )
{
	uint8_t i ;
	switch( line )
	{
		case 0:
			LCD_Push( pos + ( 0x80 | LINE_1_ADDRESS ), LCD_CONTROL );
			break;
		case 1:
			LCD_Push( pos + ( 0x80 | LINE_2_ADDRESS ), LCD_CONTROL );
			break;
	}
	for(i = 0; string[ i ] != '\0'; i++ )
		LCD_Push( string[ i ], LCD_DATA );
}
